<?
include("../fnc.php");
enlinea_a();
switch($tipo_trn){
case "Add":
if(!checkdate($txtmes,$txtdia,$txtyear)){
 alert("Fecha inválida","javascript:history.go(-1)");
}
if(!$txtasunto or !$txtdetalle){
  alert("Parámetros incorrectos","javascript:history.go(-1)");
}
$txtfecha="$txtyear-$txtmes-$txtdia";
$txthora="$txthr:$txtmin:00";
$ins=mysql_query("insert into calendario
                  set fecha='$txtfecha',
                  hora='$txthora',
                  asunto='$txtasunto',
                  detalle='$txtdetalle',
                  usuario='$uuser'");
if($ins){
 alert("Evento agregado al calendario","frm_calendario.php?mes=$txtmes&year=$txtyear");
}else{
 alert("Error: Evento no agregado","javascript:history.go(-1)");
}
break; // fin de agregar


case "Update":
if(!checkdate($txtmes,$txtdia,$txtyear)){
 alert("Fecha inválida $txtmes,$txtdia,$txtyear","javascript:history.go(-1)");
}
if(!$txtasunto or !$txtdetalle){
  alert("Parámetros incorrectos","javascript:history.go(-1)");
}
$txtfecha="$txtyear-$txtmes-$txtdia";
$txthora="$txthr:$txtmin:00";
$id_ca=dec($idc);
$ins=mysql_query("update calendario
                  set fecha='$txtfecha',
                  hora='$txthora',
                  asunto='$txtasunto',
                  detalle='$txtdetalle',
                  usuario='$uuser'
                  where id = $id_ca");
if($ins){
 //alert("Evento actualizado","frm_calendario.php?mes=$txtmes&year=$txtyear");
 header("Location: calendario.php?txtmes=$txtmes&txtyear=$txtyear&txtdia=$txtdia&txtconsulta=1");
}else{
 alert("Error: Evento no agregado","javascript:history.go(-1)");
}
break; // fin de agregar

case "Delete":
       $id_ev=dec($ide);
       $sql="delete from calendario where id = '$id_ev'";
       //echo $sql;
       $del=mysql_query($sql);
       header("Location: frm_calendario.php?mes=$txtmes&year=$txtyear");
break;
}
?>
